1. Domains
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • 1+ Year Subscriptions
      • One Plus Year Subscription Overview
      • Subscription Recreation
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Mailbox Events
      • Prewarmup Events
      • Domain Events
      • Subscription Events
  • Export
    • Platform
      • Platform Exports API
      • Get Connected Platforms
      • Add Platform Credentials
      • Remove Platform Credential
      • Export Mailboxes
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Sandbox
      • Sandbox Pre-Warmup Integration
      • [SANDBOX] - Get All Pre-Warmup Mailboxes
      • [SANDBOX] - Order Pre-Warmup Mailboxes
      • [SANDBOX] - Reset Pre-Warmup Data
    • Get All Pre-Warmup Mailboxes
    • Order Pre-Warmup Mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Domains

Get Domains For User

GET
/domains/by-user
This endpoint retrieves a list of domains associated with a specific user.

Query Parameters#

NameTypeDescription
userIdstringThe unique ID of the user whose domains need to be fetched. (Required)

Headers#

NameTypeDescription
cmr-x-api-keystringThe API key for authentication. (Required)

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/domains/by-user?userId=2PZ8BNRSWV4DHYP0S32N58H4E8FA' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": 200,
    "message": "Domains fetched successfully",
    "data": [
        {
            "id": "YEPKK2E3J144JSMEDS39ETWXRMHB",
            "domain": "demo.net",
            "status": "ACTIVE",
            "registeredOn": null,
            "expireOn": null,
            "purchaseType": "PAID",
            "serviceProvider": "GOOGLE",
            "autoRenew": false,
            "createdAt": "2025-01-10T10:23:40.895Z",
            "updatedAt": "2025-01-10T10:23:40.895Z"
        },
        {
            "id": "N0S6Z7FPKA4GD1M3VKACK61200QH",
            "domain": "example.com",
            "status": "ACTIVE",
            "registeredOn": null,
            "expireOn": null,
            "purchaseType": "PAID",
            "serviceProvider": "GOOGLE",
            "autoRenew": false,
            "createdAt": "2025-02-22T08:14:41.354Z",
            "updatedAt": "2025-02-22T08:14:41.354Z"
        },
        {
            "id": "VAPKY2E3J144JSMEDS39ETWXRMHX",
            "domain": "pie-labs.com",
            "status": "ACTIVE",
            "registeredOn": null,
            "expireOn": null,
            "purchaseType": "PAID",
            "autoRenew": true,
            "serviceProvider": "MICROSOFT",
            "createdAt": "2025-02-21T14:35:13.370Z",
            "updatedAt": "2025-02-21T14:35:13.370Z"
        }
    ]
}
🟠404Not Found
🟠422Unprocessable Entity
Modified at 2026-06-23 16:21:02
Previous
Enable or disable domain auto-renew
Next
Suggest Available Domains
Built with